// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define TestTrace_Classes_Package_A1_Package_B1_B1_BODY

/************************************************************
 B1 class body
 ************************************************************/

// include associated header file
#include "TestTrace/Classes/Package_A1/Package_B1/B1.h"

// Derived includes directives
#include "TestTrace/Interfaces/I_MyInterface_1.h"
#include "TestTrace/Interfaces/I_MyInterface_2.h"

// Derived using namespaces
using namespace TestTrace::Interfaces;
namespace TestTrace {
namespace Classes {
namespace Package_A1 {
namespace Package_B1 {

// static attributes (if any)

/**
 * 
 */
B1::B1() {

	//CREATE_CONNECTIONS
	this->createConnections();
	//END_CREATE_CONNECTIONS
}

/**
 * 
 * @param ref Reference to provided port 
 */
void B1::connect_broadcastI_MyInterface_1(I_MyInterface_1 * /*in*/ref) {
	e1.connect_broadcastI_MyInterface_1(ref);
}

/**
 * 
 * @param ref Reference to provided port 
 */
void B1::connect_broadcastI_MyInterface_2(I_MyInterface_2 * /*in*/ref) {
	e1.connect_broadcastI_MyInterface_2(ref);
}

/**
 * 
 */
void B1::createConnections() {
	// realization of connector <broadcastlistening>
	e1.connect_broadcastI_MyInterface_1(f1.get_listeningI_MyInterface_1());

}

} // of namespace Package_B1
} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of B1 class body
 ************************************************************/
